com.sun.star.script.framework.provider.oorexx

## Class ScriptSourceModel

- java.lang.Object
- - com.sun.star.script.framework.provider.oorexx.ScriptSourceModel

-     public class ScriptSourceModel
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptSourceModel(java.net.URL file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearErrorLine()`
    `java.lang.Object` | `execute(com.sun.star.script.provider.XScriptContext xScriptContext, java.lang.ClassLoader cl, com.sun.star.script.framework.container.ScriptMetaData metaData)` This method will be used to execute a script/macro if the user chooses "Run" from the editor window.
    `int` | `getCurrentPosition()`
    `java.lang.String` | `getText()`
    `void` | `indicateErrorLine(int lineNum)`
    `void` | `setView(ScriptSourceView view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScriptSourceModel

          public ScriptSourceModel(java.net.URL file)

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

    - #### getCurrentPosition

          public int getCurrentPosition()

    - #### setView

          public void setView(ScriptSourceView view)

    - #### execute

          public java.lang.Object execute(com.sun.star.script.provider.XScriptContext xScriptContext,
                                          java.lang.ClassLoader cl,
                                          com.sun.star.script.framework.container.ScriptMetaData metaData)
                                   throws java.lang.Exception

      This method will be used to execute a script/macro if the user chooses "Run" from the editor window.
      Throws:
        `java.lang.Exception`

    - #### indicateErrorLine

          public void indicateErrorLine(int lineNum)

    - #### clearErrorLine

          public void clearErrorLine()